# Set the shipping details in the InLine Checkout

## Overview

Pre-set the **shipping details** for the InLine checkout.

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the`TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. Call any of the following methods to pre-set the shipping details:<br>

   ```javascript
   TwoCoInlineCart.shipping.setName('Shopper name');
     TwoCoInlineCart.shipping.setEmail('shopper.email@example.com');
     TwoCoInlineCart.shipping.setPhone('+1 202 555 0115');
     TwoCoInlineCart.shipping.setCountry('US');
     TwoCoInlineCart.shipping.setCity('Denver');
     TwoCoInlineCart.shipping.setState('Colorado');
     TwoCoInlineCart.shipping.setZip('80249');
     TwoCoInlineCart.shipping.setAddress('Pena Blvd');
     TwoCoInlineCart.shipping.setAddress2('');
   ```
5. If you want to reset the shipping details, call the`TwoCoInlineCart.shipping.reset()`method.
6. Use the`TwoCoInlineCart.cart.checkout()`method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });

  // Style 1 (all data at once)
  TwoCoInlineCart.shipping.setData({
        name    : 'Shopper name',
        country : 'US',
        email   : 'shopper.email@example.com',
        city    : 'Denver',
        state   : 'Colorado',
        zip     : '80249',
        phone   : '+1 202 555 0115',
        address : '',
        address2: 'Pena Blvd'
  });

  // Reset
  TwoCoInlineCart.shipping.reset();

  // Style 2 (simple)
  TwoCoInlineCart.shipping.setName('Shopper name');
  TwoCoInlineCart.shipping.setEmail('shopper.email@example.com');
  TwoCoInlineCart.shipping.setPhone('+1 202 555 0115');
  TwoCoInlineCart.shipping.setCountry('US');
  TwoCoInlineCart.shipping.setCity('Denver');
  TwoCoInlineCart.shipping.setState('Colorado');
  TwoCoInlineCart.shipping.setZip('80249');
  TwoCoInlineCart.shipping.setAddress('Pena Blvd');
  TwoCoInlineCart.shipping.setAddress2('');

  // Reset
  TwoCoInlineCart.shipping.reset();

  // Style 3 (chained)
  TwoCoInlineCart.shipping
    .setName('Shopper name')
    .setEmail('shopper.email@example.com')
    .setPhone('+1 202 555 0115')
    .setCountry('US')
    .setCity('Denver')
    .setState('Colorado')
    .setZip('80249')
    .setAddress('Peña Blvd')
    .setAddress2('');

  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After setting the shipping details for the InLine checkout using the above methods, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/EBgqBR>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/set-the-shipping-details-in-the-inline-checkout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
